# DPin
Otp and pin input field with and without button and fully customized.

# Demo
<p align="center">
  <img width="460"  src="https://i.ibb.co/q5rWSzn/1fcd45ed-4594-4cb8-9de4-34fc1822f3cd.jpg">
  <img width="460"  src="https://i.ibb.co/cDTVbNv/3045fe56-39c0-4012-861d-1aa11707f4a5.jpg">
</p>

# Patron
<!-- <a href = "https://www.patreon.com/bePatron?u=26622525"><img src = "https://c5.patreon.com/external/logo/become_a_patron_button@2x.png" width="250"></a> -->
<a href="https://www.patreon.com/bePatron?u=74719873" data-patreon-widget-type="become-patron-button">Become a Patron!</a><script async src="https://c6.patreon.com/becomePatronButton.bundle.js"></script>


# Setup
```yaml
dependencies:
  DPin: 0.0.1
```

```dart
import 'package:d_pin/d_pin.dart';
```



#Ecample
```dart
DPin(
  buttonColor: Colors.blue,
  buttonText: "Confirm",
  number: 6,
  fieldBorderColor: Colors.blue,
  withButton: true,
  onValueChanged: (v) {
    setState(() {
      value = v;
    });
  },
)
```

# Properties
```dart
  /// How many box you need
  final int number;

  /// visible or secured
  final bool hidden;

  /// Box color
  final Color fieldBorderColor;

  /// Button text
  final String buttonText;

  /// Button color
  final Color buttonColor;

  /// Button text color
  final Color buttonTextColor;

  /// Button width
  final double buttonWidth;

  /// Box or underline
  final bool underline;

  /// With button or last button filled
  final bool withButton;

  /// Return result
  final ValueChanged<int> onValueChanged;
```